Check QEMU Guest Agent status on a virtual server

Check if the QEMU Guest Agent is available and running on your virtual server. You need a 'pid' from GET /api/vm/{vmid}/status to use this function.

VPS Services VM

Context

Where to get IDs / values

Workflow links

Requires

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Query Parameters

pid string required · Example: 150476

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.available boolean · Example: true
data.exitcode integer · Example: 1
data.exited boolean · Example: true
data.message string · Example: QEMU Guest Agent is available

Human-readable message.

data.pid integer · Example: 150476
data.stderr string · Example: From example.com:friimann/ENBASE_repo * [new branch] claude/admin-settings-profile-sdcD...
data.stdout string · enum · Example: Updating f248f15..ae24523
<!DOCTYPE html><html lang="en"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" conten
<!DOCTYPE html><html lang="en"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><title>ttyd - Terminal</title><link rel="icon" type="image/png" href="data:imag
Get:1 file:/etc/apt/mirrors/debian.list Mirrorlist [30 B] Get:3 file:/etc/apt/mirrors/debian-security.list Mirrorlist [39 B] Hit:2 https://example.com/debian trixie InRelease Hit:4 https://example.com/debian trixie-updates InRelease Hit:5 https://example.com/debian trixie-backports InRelease Hit:6 https://example.com/debian-security trixie-security InRelease Reading package lists... Building dependency tree... Reading state information... All packages are up to date.
HEAD is now at e0ce7e9 Add password reset script
LISTEN 0 4096 192.0.0.1:7682 192.0.0.1:* users:(("ttyd",pid=149138,fd=14))
OK
Reading package lists... Building dependency tree... Reading state information... The following packages were automatically installed and are no longer required: gnome-accessibility-themes gtk2-engines-pixbuf libdbus-glib-1-2 gnome-themes-extra libayatana-ido3-0.4-0 liblightdm-gobject-1-0 gnome-themes-extra-data libayatana-indicator3-7 Use 'sudo apt autoremove' to remove them. REMOVING: light-locker* lightdm* lightdm-gtk-greeter* Summary: Upgrading: 0, Installing: 0, Removing: 3, Not Upgrading: 0 Freed space: 2179 kB (Reading database... (Reading database... 5% (Reading database... 10% (Reading database... 15% (Reading database... 20% (Reading database... 25% (Reading database... 30% (Reading database... 35% (Reading database... 40% (Reading database... 45% (Reading database... 50% (Reading database... 55% (Reading database... 60% (Reading database... 65% (Reading database... 70% (Reading database... 75% (Reading database... 80% (Reading database... 85% (Reading database... 90% (Reading database... 95% (Reading database... 100% (Reading database... 57236 files and directories currently installed.) Removing light-locker (1.8.0-3+b1)... Removing lightdm (1.32.0-6+b2)... debconf: unable to initialize frontend: Dialog debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.) debconf: falling back to frontend: Readline debconf: unable to initialize frontend: Readline debconf: (This frontend requires a controlling tty.) debconf: falling back to frontend: Teletype debconf: unable to initialize frontend: Teletype debconf: (This frontend requires a controlling tty.) debconf: falling back to frontend: Noninteractive Removing lightdm-gtk-greeter (2.0.9-1)... Processing triggers for man-db (2.13.1-1)... Processing triggers for libglib2.0-0t64:amd64 (2.84.4-3~deb13u2)... Processing triggers for dbus (1.16.2-2)... Processing triggers for hicolor-icon-theme (0.18-2)... (Reading database... (Reading database... 5% (Reading database... 10% (Reading database... 15% (Reading database... 20% (Reading database... 25% (Reading database... 30% (Reading database... 35% (Reading database... 40% (Reading database... 45% (Reading database... 50% (Reading database... 55% (Reading database... 60% (Reading database... 65% (Reading database... 70% (Reading database... 75% (Reading database... 80% (Reading database... 85% (Reading database... 90% (Reading database... 95% (Reading database... 100% (Reading database... 56887 files and directories currently installed.) Purging configuration files for light-locker (1.8.0-3+b1)... Purging configuration files for lightdm-gtk-greeter (2.0.9-1)... Purging configuration files for lightdm (1.32.0-6+b2)... debconf: unable to initialize frontend: Dialog debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.) debconf: falling back to frontend: Readline debconf: unable to initialize frontend: Readline debconf: (This frontend requires a controlling tty.) debconf: falling back to frontend: Teletype debconf: unable to initialize frontend: Teletype debconf: (This frontend requires a controlling tty.) debconf: falling back to frontend: Noninteractive
Updating f248f15..ae24523
nova2025
data.success boolean · Example: true

True for successful responses.

data.vmRunning boolean · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/agent/exec
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/agent/exec?pid=150476" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "pid": 150476,
    "exited": true,
    "exitcode": 1,
    "stdout": "Updating f248f15..ae24523",
    "stderr": "From example.com:friimann/ENBASE_repo * [new branch] claude/admin-settings-profile-sdcDO -> origin/claude/admin-settings-profile-sdcDO * [new branch] claude/browser-vs-shell-setup-qyR1s -> origin/claude/browser-vs-shell-setup-qyR1s 0c73d39..ebe88d8 claude/create-info-page-Q52by -> origin/claude/create-info-page-Q52by * [new branch] claude/fix-portfolio-deletion-hOhfT -> origin/claude/fix-portfolio-deletion-hOhfT * [new branch] claude/improve-mobile-layout-86ASy -> orig..."
  }
}